package com.datarecovery.master.utils.xfile;

import android.net.Uri;

import java.io.InputStream;

public interface XFile {
    String getName() throws Exception;

    String getPath() throws Exception;

    Uri getUri() throws Exception;

    boolean isDirectory() throws Exception;

    XFile[] listFiles() throws Exception;

    boolean exists() throws Exception;

    boolean delete() throws Exception;

    long length() throws Exception;

    long lastModified() throws Exception;

    InputStream newInputStream() throws Exception;

    Object getTag();

    void setTag(Object tag);
}